Bug 7545 - can't edit items
Summary: can't edit items
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P1 - high blocker (vote)
Assignee: Nicole C. Engard
QA Contact: Ian Walls
URL:
Keywords:
Depends on: 6875
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-15 19:48 UTC by Nicole C. Engard
Modified: 2019-06-27 09:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7545: Can't edit items (731 bytes, patch)
2012-02-15 19:49 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[Signed Off] Bug 7545: Can't edit items (899 bytes, patch)
2012-02-15 19:53 UTC, Liz Rea
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-02-15 19:48:03 UTC
when trying to edit items you get the following:


Bareword "C4::Search::enabled_staff_search_views" not allowed while "strict subs" in use at /home/nengard/kohaclone/cataloguing/additem.pl line 715.
Bareword "C4::Search::enabled_staff_search_views" not allowed while "strict subs" in use at /home/nengard/kohaclone/cataloguing/additem.pl line 485.
Execution of /home/nengard/kohaclone/cataloguing/additem.pl aborted due to compilation errors.
Comment 1 Nicole C. Engard 2012-02-15 19:49:31 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2012-02-15 19:53:51 UTC
Created attachment 7664 [details] [review]
[Signed Off] Bug 7545: Can't edit items

This patch makes it so that you can click 'edit items' and actually
edit items.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Works as advertised.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 3 Jonathan Druart 2012-02-16 09:08:03 UTC
I don't have this error whitout this patch. My perl version is v5.14.2
Comment 4 Liz Rea 2012-02-16 16:08:16 UTC
This was on master pulled as of yesterday (15-2-12). I was able to replicate.
Comment 5 Ian Walls 2012-02-16 16:25:04 UTC
Re-enables lost dependency on C4::Search in additems.pl.  Marking as Passed QA
Comment 6 Paul Poulain 2012-02-16 17:28:20 UTC
The problem was a consequence of de-nesting bug.
Removing use C4::Search from C4::Heading resulted in C4::Search not being loaded at all on additem.pl :
additem use C4::Biblio that use C4::Heading that used C4::Search.

This patch fixes the problem
Comment 7 Paul Poulain 2012-02-16 17:30:20 UTC
Note that this bug has been pushed on new/bug_6875 branch as it can be considered as a follow-up